#
# spec file for package python3-PyTrie3
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-PyTrie3
Version:        0.2
Release:        2.3
Summary:        A pure Python implementation of the trie data structure
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/datapublica/pytrie3
Source:         https://files.pythonhosted.org/packages/source/P/PyTrie3/PyTrie3-%{version}.tar.gz
BuildRequires:  python3-devel
#BuildRequires:  python3-nose
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Python3 port of PyTrie. A *trie* is an ordered tree data structure that is used to store a mapping
where the keys are sequences, usually strings over an alphabet. In addition to
implementing the mapping interface, tries allow finding the items for a given
prefix, and vice versa, finding the items whose keys are prefixes of a given key.

%prep
%setup -q -n PyTrie3-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# https://github.com/datapublica/pytrie3/issues/1
#%check
#nosetests

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Nov 24 2015 Adam Mizerski <adam@mizerski.pl>
- new package (version 0.2)
